org.codehaus.plexus.maven.plugin

## Interface ComponentDescriptorExtractor

All Known Implementing Classes:
  ClassComponentDescriptorExtractor, ComponentDescriptorExtractorSupport, SourceComponentDescriptorExtractor

    public interface ComponentDescriptorExtractor

An abstraction to allow pluggable `ComponentDescriptor` extraction to be dropped.

Version:
  $Id: ComponentDescriptorExtractor.java 6925 2007-10-01 04:35:26Z user57 $

### Field Summary

Fields
`static String` `COMPILE_SCOPE`
`static String` `ROLE`
`static String` `TEST_SCOPE`

### Method Summary

Methods
`List` `extract(org.apache.maven.project.MavenProject project, String scope, org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)`

### Field Detail

#### ROLE

    static final String ROLE

#### COMPILE_SCOPE

    static final String COMPILE_SCOPE

See Also:
  Constant Field Values

#### TEST_SCOPE

    static final String TEST_SCOPE

See Also:
  Constant Field Values

### Method Detail

#### extract

    List extract(org.apache.maven.project.MavenProject project,
               String scope,
               org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)
                 throws Exception

Throws:
  `Exception`